#pragma once
#include <map>
struct M_ActivityFishingCeleExchangeCFGData
{
	//编号
	int mID;
	//功能标签
	int mType;
	//需要道具
	int mNeedItem;
	//需要数量
	int mNeedCount;
	//折扣后数量
	int mDiscountCount;
	//道具ID
	int mItemId;
	//道具数量
	int mItemCount;
	//限兑次数
	int mLimit;
	//概率道具ID
	int mProbItem;
	//概率道具数量
	int mProbCount;
	//概率(百分比)
	int mProb;
	//礼包折扣(百分比)
	int mGiftDiscount;
	//阶限制
	int mLvLimit;
};

class M_ActivityFishingCeleExchangeCFG
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleExchangeCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleExchangeCFGData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleExchangeCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleExchangeCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleExchangeCFGData> mMapData;
};
